mixin input(data)
    if (data.mode == 'button-right')
        .input--button-right(class=data.blockClass)
            input(
                id=data.id,
                class=data.class,
                name=data.name
                type=data.type,
                placeholder=data.placeholder
            )
            button.input__button(
                type=data.buttonType,
                class=data.buttonClass)!= data.buttonText